Subject: RE: [Simple] IM Service Profile? (was Re: Mobility of Buddy List, Again)

From: [email-masked]
Date: Tue, 12 Mar 2002 22:37:51 +0200

Hi,

Just to inform you that 3GPP is stepping into this territory too (believe it or not). Their presence architecture is basically starting to look SIMPLE-based, but some requirements, such as presence publishing or managing presence ACLs, is beyond the scope of current SIMPLE specs. 3GPP will also shortly start work on the evolution of messaging and something called group management.

So, now is certainly the time for the IETF to charter these kind of things if a unified solution for the _Internet_ is wanted. Otherwise e.g. wireless domain may diverge into some solution of their own. I think this is something for the IESG to consider when evaluating the possible rechartering proposals. However, if IETF will go forward, 3GPP's role might be to write a requirements (maybe this time with real requirements, distinct from solutions :-) draft from 3G wireless point of view, and then apply the results in their architecture. Obviously timing is important, I'm not sure if the IETF could realistically be expected to finish these kind of things in 12 months etc. So, there might be again guys on the mic telling that 3GPP needs this and this draft by this and this date for Release X...

Note that standardizing something like provisioning or data manipulation interface may not make sense in the PC-centric world, where web-browser interfaces are OK. However, in 2*2 inch handset screen with numerical keyboard it may not be feasible to leave it that open. And 400+ million handsets a year can't be wrong :-)

So, I vote for discussion in Minneapolis, preferably leading to a rechartering proposal with a quick decision schedule. I'm also willing to work on this, and I know a couple of other guys who would be too.

Regards,
	Markus  

> -----Original Message-----
> From: ext Jonathan Rosenberg [mailto:[email-masked]]
> Sent: 08 March, 2002 8:53
> To: Tony Hansen
> Cc: SIMPLE list
> Subject: Re: [Simple] IM Service Profile? (was Re: Mobility of Buddy
> List, Again)
> 
> 
> 
> 
> Tony Hansen wrote:
> > 
> > Here are some ideas on how this could play out within the IETF.
> > 
> > One of the documents being put out in the SIP WG is SIP Call Flow
> > Examples. It shows how the SIP protocol should be used in an IP
> > Telephony service.
> > 
> > Another effort in the IETF is the Voice Profile for 
> Internet Messaging
> > (VPIM) working group. That group has been figuring out how 
> to do voice
> > messaging (for voice mailboxes) using existing protocols, 
> such as SMTP
> > and IMAP. Where the existing protocols were lacking, they 
> also worked on
> > filling in the gaps, either within the VPIM WG or in 
> conjunction with
> > other working groups (e.g., imap-ext). Note: the VPIM WG 
> was originally
> > formed due to input from an external organization, the EMA, 
> but the work
> > has all been done here in the IETF.
> > 
> > The problem we're facing here in SIMPLE seems to be in the same
> > category, and the solution may be similar. It appears that what is
> > required is a profile for an instant messaging service saying how it
> > should pull together the different piece parts to form a 
> coherent whole.
> 
> Well, there are two parts.
> 
> Part one, is to specify the pieces, and to make sure they are 
> all there.
> Part two, is to specify an architecture that puts them together as a
> whole.
> 
> Part one is definitely an IETF activity. We really have most of the
> pieces, and the few that remain, are easy. I have written an 
> I-D on this
> subject, which discusess the pieces needed for a consumer 
> IM/buddy-list
> application:
> 
http://www.ietf.org/internet-drafts/draft-rosenberg-simple-components-00.txt

I'd really like to get group input on whether there is
interest/agreement on which aspects of my proposed plan.

The second piece, part two, is to specify an architecture that pulls it
all together. If such a thing were done here, it would need to be
informational to say the least. There is precendent for publication of
informational architecture docs generated by other bodies (the DCS
architecture). I think SOMEONE needs to put this together, that is for
certain. If no one else is stepping up to the plate, I'd prefer IETF to
nobody, thats for sure.

> 
> I'm convinced we can solve this problem. Getting feedback from the
> industry is absolutely useful in the process, but I think the work needs
> to happen here, in the IETF. And I'm willing to work on it.
> 
> Comments? Should something like this go on the SIMPLE agenda for
> Minneapolis?

I'd like to discuss it, yes.

-Jonathan R.

-- 
Jonathan D. Rosenberg, Ph.D.            72 Eagle Rock Avenue
Chief Scientist                         First Floor
dynamicsoft                             East Hanover, NJ 07936
[email-masked]                 FAX: (973) 952-5050
http://www.jdrosen.net                  PH:  (973) 952-5000
http://www.dynamicsoft.com
_______________________________________________
simple mailing list
[email-masked]
http://mailman.dynamicsoft.com/mailman/listinfo/simple
_______________________________________________
simple mailing list
[email-masked]
http://mailman.dynamicsoft.com/mailman/listinfo/simple